/**
 * Copyright: Copyright (c) 2008 Jacob Carlborg. All rights reserved.
 * Authors: Jacob Carlborg
 * Version: Initial created: 2008
 * License: $(LINK2 http://opensource.org/licenses/bsd-license.php, BSD Style)
 * 
 */
module dwt.internal.objc.appkit.bindings;

import dwt.internal.objc.runtime;

extern (C):
    
id DCB_NSDeviceRGBColorSpace();
id DCB_NSAccessibilityPositionAttribute ();
id DCB_NSAccessibilitySizeAttribute ();
id DCB_NSBackgroundColorAttributeName ();
id DCB_NSBaselineOffsetAttributeName ();
id DCB_NSDeviceResolution ();
id DCB_NSFontAttributeName ();
id DCB_NSForegroundColorAttributeName ();
id DCB_NSLinkAttributeName ();
id DCB_NSParagraphStyleAttributeName ();
id DCB_NSStrikethroughColorAttributeName ();
id DCB_NSStrikethroughStyleAttributeName ();
id DCB_NSUnderlineColorAttributeName ();
id DCB_NSUnderlineStyleAttributeName ();
int NSBitsPerPixelFromDepth (int depth);

version (build)
{
    pragma(link, "objc");
    pragma(link, "dwt-cocoa-bindings");
}